Create task
Create a task. Only services can create tasks. Extesnions service will create a task for the extensions.
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Progress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27Created
The Task represents the state of an asynchronous, usually long running operation.
Task code for the workflow, prefixed with the service namespace.
platform.accounts.buyers.transferQueue name for task execution, prefixed with the controlling service namespace.
marketplace/platform/internal/buyers/commandsParameterized task description.
Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'Progress in percent. 0-100 or not defined for not yet started task.
45.5Estimated finish time, if any.
2026-02-02T14:30:00+00:00Optional parameters to store task-specific metadata.
{"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}Result URI or reference to the result resource.
/public/v1/accounts/buyers/BUY-1190-0394External identifier for task correlation.
3f7e7800-b929-4bf3-a969-a8ed5354ff27Bad Request
POST /public/v1/system/tasks HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 374
{
"name": "Transferring the buyer to a different account",
"code": "platform.accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"access": [
{
"id": "ACC-0000-0001"
}
]
}{
"id": "TSK-0001-2474-4798-1266",
"name": "Transferring the buyer to a different account",
"revision": 1,
"status": "Queued",
"code": "accounts.buyers.transfer",
"queue": "marketplace/platform/internal/buyers/commands",
"object": {
"id": "BUY-1190-0394"
},
"description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
"parameters": {
"BuyerId": "BUY-1190-0394",
"TargetAccountId": "ACC-5563-4382"
},
"access": [
{
"id": "ACC-0000-0001",
"name": "SoftwareONE Operations"
}
],
"owner": {
"id": "SVC-0001",
"name": "platform"
},
"audit": {
"created": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
},
"updated": {
"at": "2026-02-02T12:00:00+00:00",
"by": {
"id": "SVC-0001",
"name": "Platform"
}
}
}
}Last updated
Was this helpful?